Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Interface EZGraphC

All Known Implementing Classes:
  EZGraphCImpl

public interface EZGraphC
extends SwarmObjectC, SwarmObjectS, GUICompositeC, GUICompositeS

A class for easily create graphs.. This class allows the user to easily create graphs of various quantities in the model s/he is investigating. The user first creates the EZGraph, and then creates "Sequences"; (lines) which will appear in the graph. The sequences are generated based on data provided by a single object or a collection of target objects, in reponse to a specified selector. One of the features of the EZGraph is that it will automatically generate average, total, min, max and count sequences without the user having to mess with Averagers amd other low-level classes.

Method Summary
`java.lang.Object` | `create$setFileName(Zone aZone, java.lang.String filename)` Convenience method for creating a non-graphical EZGraph, in this case, the filename is explicitly set by the user
`java.lang.Object` | `create$setFileOutput(Zone aZone, boolean fileOutputFlag)` Convenience method for creating a non-graphical EZGraph, the filename is generated from the sequence name
`java.lang.Object` | `create$setHDF5Container$setPrefix(Zone aZone, HDF5 hdf5Container, java.lang.String prefix)` Convenience method for creating a non-graphical EZGraph, inside of a HDF5 container.
`java.lang.Object` | `create$setTitle$setAxisLabelsX$Y$setWindowGeometryRecordName(Zone aZone, java.lang.String aTitle, java.lang.String xl, java.lang.String yl, java.lang.String windowGeometryRecordName)` Convenience method for creating `graphical' EZGraph instances
`java.lang.Object` | `create$setTitle$setAxisLabelsX$Y$setWindowGeometryRecordName$setSaveSizeFlag(Zone aZone, java.lang.String aTitle, java.lang.String xl, java.lang.String yl, java.lang.String windowGeometryRecordName, boolean saveSizeFlag)`
`java.lang.Object` | `setAxisLabelsX$Y(java.lang.String xl, java.lang.String yl)` The setAxisLabels:X:Y method sets the horizontal and vertical labels on the histogram in the graphical version of EZGraph.
`java.lang.Object` | `setColors$count(java.lang.String[] colors, int count)` Set a custom vector of colors for the graph lines
`java.lang.Object` | `setFileName(java.lang.String aFileName)` The setFileName method sets the name used for disk file data output.
`java.lang.Object` | `setFileOutput(boolean state)` The setFileOutput method sets the state of file I/O.
`java.lang.Object` | `setGraphics(boolean state)` The setGraphics method sets the state of the display.
`java.lang.Object` | `setHDF5Container(HDF5 hdf5Container)` The setHDF5Container: method allows one to combine multiple graphs with multiple sequences in a single HDF5 file.
`java.lang.Object` | `setTitle(java.lang.String aTitle)` The setTitle method uses a title string to label a graph window in the graphical version of EZGraph.

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from interface swarm.simtoolsgui.CompositeWindowGeometryRecordNameC
`setWindowGeometryRecordNameForComponent$widget`

Methods inherited from interface swarm.simtoolsgui.WindowGeometryRecordNameC
`setSaveSizeFlag, setWindowGeometryRecordName`

Method Detail

### create$setTitle$setAxisLabelsX$Y$setWindowGeometryRecordName

    public java.lang.Object create$setTitle$setAxisLabelsX$Y$setWindowGeometryRecordName(Zone aZone,
                                                                                         java.lang.String aTitle,
                                                                                         java.lang.String xl,
                                                                                         java.lang.String yl,
                                                                                         java.lang.String windowGeometryRecordName)

  Convenience method for creating `graphical' EZGraph instances

### create$setTitle$setAxisLabelsX$Y$setWindowGeometryRecordName$setSaveSizeFlag

    public java.lang.Object create$setTitle$setAxisLabelsX$Y$setWindowGeometryRecordName$setSaveSizeFlag(Zone aZone,
                                                                                                         java.lang.String aTitle,
                                                                                                         java.lang.String xl,
                                                                                                         java.lang.String yl,
                                                                                                         java.lang.String windowGeometryRecordName,
                                                                                                         boolean saveSizeFlag)

### create$setFileOutput

    public java.lang.Object create$setFileOutput(Zone aZone,
                                                 boolean fileOutputFlag)

  Convenience method for creating a non-graphical EZGraph, the filename is generated from the sequence name

### create$setFileName

    public java.lang.Object create$setFileName(Zone aZone,
                                               java.lang.String filename)

  Convenience method for creating a non-graphical EZGraph, in this case, the filename is explicitly set by the user

### create$setHDF5Container$setPrefix

    public java.lang.Object create$setHDF5Container$setPrefix(Zone aZone,
                                                              HDF5 hdf5Container,
                                                              java.lang.String prefix)

  Convenience method for creating a non-graphical EZGraph, inside of a HDF5 container.

### setGraphics

    public java.lang.Object setGraphics(boolean state)

  The setGraphics method sets the state of the display. Set the state to 0 if a graphical display of the graph is not required. The default state is 1 meaning that by default the data appears graphically in a window.

### setFileOutput

    public java.lang.Object setFileOutput(boolean state)

  The setFileOutput method sets the state of file I/O. Set the state to 1 if data for the sequences is to be sent to a file. The default state is 0 meaning that by default no file I/O is carried out by the EZGraph class.

### setHDF5Container

    public java.lang.Object setHDF5Container(HDF5 hdf5Container)

  The setHDF5Container: method allows one to combine multiple graphs with multiple sequences in a single HDF5 file.

### setFileName

    public java.lang.Object setFileName(java.lang.String aFileName)

  The setFileName method sets the name used for disk file data output. (Only relevant if the state of setFileOutput is set to 1.) The name set here is prepended to the names of each data sequence. If file name is NOT set, with this method, the file name for the sequence will default simply to the sequence name.

### setTitle

    public java.lang.Object setTitle(java.lang.String aTitle)

  The setTitle method uses a title string to label a graph window in the graphical version of EZGraph. The label appears at the top of the graph window. (Only relevant if the state of setGraphics is set to 1.)

### setAxisLabelsX$Y

    public java.lang.Object setAxisLabelsX$Y(java.lang.String xl,
                                             java.lang.String yl)

  The setAxisLabels:X:Y method sets the horizontal and vertical labels on the histogram in the graphical version of EZGraph. (Only relevant if the state of setGraphics is set to 1.)

### setColors$count

    public java.lang.Object setColors$count(java.lang.String[] colors,
                                            int count)

  Set a custom vector of colors for the graph lines

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD